/*
  TurboC, a library for porting Borland Turbo C to GNU gcc.
  Copyright 2002 Ronald S. Burkey
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
  Contact Ron Burkey at info@birdsproject.org.

  Filename:	cgets.c
  Purpose:	A Turbo C conio function.
  Mod history:	03/04/02 RSB	Created.
*/

#include "conio.h"

char *
cgets (char *str)
{
  int Len, Max, ch, x, y;
  Max = (guchar) str[0];
  Len = 0;
  while (Len < Max)
    {
      ch = getch ();
      if (ch == '\r' || ch == '\n')
	{
	  cputs ("\r\n");
	  break;
	}
      if (ch == '\b')
	{
	  if (Len > 0)
	    {
	      x = wherex ();
	      y = wherey ();
	      x--;
	      if (x < 1)
		{
		  struct text_info ti;
		  gettextinfo (&ti);
		  x = ti.screenwidth;
		  y--;
		}
	      gotoxy (x, y);
	      putch (' ');
	      gotoxy (x, y);
	      Len--;
	    }
	}
      else if (ch >= ' ' && ch < 127)
	{
	  str[2 + Len++] = ch;
	  putch (ch);
	}
    }
  str[1] = Len;
  return (str);
}
