/*
  TurboC, a library for porting Borland Turbo C to GNU gcc.
  Copyright 2002 Ronald S. Burkey
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
  Contact Ron Burkey at info@birdsproject.org.

  Filename:	io.h
  Purpose:	A header file for TurboC. 
  Mod history:	03/02/02 RSB	Created.
*/

#ifndef _INCLUDED_IO_H
#define _INCLUDED_IO_H

#include "TurboC.h"

//----------------------------------------------------------------------------
// Constants.

//----------------------------------------------------------------------------
// Data types.

struct ftime
{
  unsigned ft_tsec:5;
  unsigned ft_min:6;
  unsigned ft_hour:5;
  unsigned ft_day:5;
  unsigned ft_month:4;
  unsigned ft_year:7;
};

//----------------------------------------------------------------------------
// Function prototypes.

int getftime (int handle, struct ftime *ftimep);
int setftime (int handle, struct ftime *ftimep);

//--------------------------------------------------------------------------
// Variables.

#endif // _INCLUDED_IO_H
